VST 3 Interfaces: IComponentHandlerBusActivation Class Reference
Author: Steinberg

VST 3 Interfaces VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IComponentHandlerBusActivation Class Referenceabstract

Extended host callback interface for an edit controller: Vst::IComponentHandlerBusActivation. More...

`#include <ivsteditcontroller.h>`

Inheritance diagram for IComponentHandlerBusActivation:

## Public Member Functions
virtual tresult | requestBusActivation (MediaType type, BusDirection dir, int32 index, TBool state)=0
| request the host to activate or deactivate a specific bus.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Extended host callback interface for an edit controller: Vst::IComponentHandlerBusActivation.

- [host imp]
- [extends IComponentHandler]
- [released: 3.6.8]
- [optional]

Allows the plug-in to request the host to activate or deactivate a specific bus. If the host accepts this request, it will call later on activateBus. This is particularly useful for instruments with more than 1 outputs, where the user could request from the plug-in UI a given output bus activation.

// somewhere in your code when you need to inform the host to enable a specific Bus.
FUnknownPtr<IComponentHandlerBusActivation> busActivation (componentHandler);
if (busActivation)
{
// here we want to activate our audio input sidechain (the 2cd input bus: index 1)
busActivation->requestBusActivation (kAudio, kInput, 1, true);
}
Steinberg::FUnknownPtr
Steinberg::Vst::kInput
@ kInput
input bus
Definition ivstcomponent.h:76
Steinberg::Vst::kAudio
@ kAudio
audio
Definition ivstcomponent.h:67

See also
  IComponentHandler

## Member Function Documentation

## ◆ requestBusActivation()

virtual tresult requestBusActivation | ( | MediaType | type,
|  | BusDirection | dir,
|  | int32 | index,
|  | TBool | state )
| pure virtual

request the host to activate or deactivate a specific bus.

Note
  [UI-thread & Connected]

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.